Subject: Re: bug#61160: 5 test failures on Android

From: Jim Meyering <[email-masked]>
Date: Sun, 29 Jan 2023 17:57:08 -0800

On Sun, Jan 29, 2023 at 4:58 PM Bruno Haible <[email-masked]> wrote:
> Building GNU sed from its git repo, with current Gnulib,
> after working around
> <https://lists.gnu.org/archive/html/sed-devel/2023-01/msg00001.html>,
> I see 5 test failures on Android 11, within the Termux app
> (as described in https://gitlab.com/ghwiki/gnow-how/-/wikis/Platforms/Android ):
>
> FAIL: testsuite/compile-errors
> FAIL: testsuite/mb-y-translate
> FAIL: testsuite/normalize-text

Thanks. I pushed a fix for the above.

>   These are platform-independent, already reported at
>   https://debbugs.gnu.org/cgi/bugreport.cgi?bug=61159 .
>
> FAIL: testsuite/mb-bad-delim
> FAIL: testsuite/bsd-wrapper
>
>   Do you need my help for investigating these?

I would appreciate your time, indeed.